Subject: Re: New Version Notification - draft-ietf-ipngwg-icmp-v3-07.txt - IANA Considerations for ICMP specifications (esp. 2461bis)

From: Elwyn Davies <[email-masked]>
Date: Tue, 19 Jul 2005 12:32:44 +0100

I have just been reviewing the latest version of the name lookups draft and 
checking the IANA considerations for that draft triggered me to look across the 
IANA considerations for all the ICMPv6 stuff we have in progress at present.

The conclusions are:
- icmp-v3 supersedes section 7 in RFC2780 and should be noted as updating
   RFC2780
- The IANA considerations in 2461bis need a complete rewrite
   - Reference icmp-v3 instead of RFC2780
   - to explicitly say which ICMPv6 types it is continuing the registration
     for
   - define the registry and the policy for ND options
   - to say explicitly which options it is defining/continuing
- Some minor changes to the name-lookups draft are covered in a separate email
   on its last call
- 2462bis and the nd-proxy draft correctly say they have no IANA requirements.
- ipv6-router-selection is correct - it will be automagically be updated to
   ref 2461bis hopefully!
- privacy-addrs-v2 has no IANA considerations section - it needs a null one.
- MLDv1 has no IANA considerations section but MLDv2 is fine although it doesn't
   refer to RFC2780
- SEND (RFC3971) and mipv6 (RFC3775) are all in order although they don't refer
   to RFC2780

Regards,
Elwyn

Brian E Carpenter wrote:

> Hi Elwyn, can you kindly re-review this to see if your points have
> been addressed?
>
> Thanks
>
>     Brian
>
> ID Tracker wrote:
>
>> New version (-07) has been submitted for 
>> draft-ietf-ipngwg-icmp-v3-07.txt.
>> http://www.ietf.org/internet-drafts/draft-ietf-ipngwg-icmp-v3-07.txt
>>
>> Sub state has been changed to AD Follow up from New Id Needed
>>
>> IETF Secretariat.
>>
>

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------